# Widget

- [Overview](https://developer.acquire.io/widget/overview.md)
- [Installation](https://developer.acquire.io/widget/installation.md)
- [Customization](https://developer.acquire.io/widget/functioning-customization.md)
- [Settings](https://developer.acquire.io/widget/functioning-customization/settings.md)
- [Greeting](https://developer.acquire.io/widget/functioning-customization/settings/greeting.md): To update the greeting text from the widget side
- [Greeting Introduction](https://developer.acquire.io/widget/functioning-customization/settings/introduction-string.md): To update the greeting Introduction from the widget side
- [Conversation button](https://developer.acquire.io/widget/functioning-customization/settings/conversation-button.md): To update the conversation button text from the widget side
- [Conversation list title](https://developer.acquire.io/widget/functioning-customization/settings/conversation-list-title.md): To update the conversation list title from the widget side
- [Launcher Text](https://developer.acquire.io/widget/functioning-customization/settings/message-placeholder.md): To update the launcher button text from the widget side
- [Widget Appearance](https://developer.acquire.io/widget/functioning-customization/settings/widget-appearance.md): You can customize the widget appearance according to your requirements.
- [Methods](https://developer.acquire.io/widget/functioning-customization/methods.md)
- [Widget visibility](https://developer.acquire.io/widget/functioning-customization/methods/widget-visibility.md): Change the visibility of the widget
- [Widget window state](https://developer.acquire.io/widget/functioning-customization/methods/widget-window-state.md): Change the window state save setting
- [Set Customer Info](https://developer.acquire.io/widget/functioning-customization/methods/set-customer-info.md): Visitor attributes are information about a visitor, such as their name, phone number, and email address. In Acquire, we use this information in a variety of places, including in their profiles.
- [Get Customer info](https://developer.acquire.io/widget/functioning-customization/methods/get-customer-info.md): To get the customer information
- [Events/Callbacks](https://developer.acquire.io/widget/functioning-customization/events-callbacks.md)
- [reloadUI](https://developer.acquire.io/widget/functioning-customization/events-callbacks/reloadui.md): Reloading the UI from the acquire object
- [onChatMaximize](https://developer.acquire.io/widget/functioning-customization/events-callbacks/onchatmaximize.md): Method to set the widget to max
- [onChatMinimize](https://developer.acquire.io/widget/functioning-customization/events-callbacks/onchatminimize.md): Method to set the widget to max
- [onChatInitiated/Started](https://developer.acquire.io/widget/functioning-customization/events-callbacks/onchatinitiated-started.md): Initiate the chat from the acquire object by maximize the widget state with parameter as Chat.
- [onChatClosed](https://developer.acquire.io/widget/functioning-customization/events-callbacks/onchatclosed.md): Fire the event with the parameters getting from the close event with the acquire object
- [onAgentAssign](https://developer.acquire.io/widget/functioning-customization/events-callbacks/onagentassign.md): Update event on acquire object will be triggered after the agent accept the chat.
- [onAgentStateChange (Available/Unavailable)](https://developer.acquire.io/widget/functioning-customization/events-callbacks/onagentstatechange-available-unavailable.md): The state event triggers when the agent changes it's state to either available/unavailable
- [Link resources](https://developer.acquire.io/widget/functioning-customization/link-support.md)
- [Share channel link](https://developer.acquire.io/widget/functioning-customization/link-support/channel-links.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.acquire.io/widget.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
